﻿#language: ru

@scp

Функционал: 001. SCP. НСИ.

Контекст:
	Дано Я подключаюсь под "Администратор"

Сценарий: 001.1. SCP. Удаление старых данных

	Дано я удаляю объекты "Справочники.к2Планирование_СценарииПланированияЦепочекПоставок" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2Планирование_СценарииПланированияПотребностей" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2РазмерБуфера"
	Дано я удаляю объекты "Справочники.к2ПравилаРасчетаОтгрузок" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ГруппыПартнеровПланирования" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПрименениеПравилРасчетаОтгрузок"
	Дано я удаляю объекты "Справочники.к2СхемыОбеспечения" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НазначениеСхемОбеспечения"
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПрогнозныеОстаткиПроизводства"
	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю кнопку очистить у поля "Основной график работы предприятия"
	И Я закрываю окно 'Настройки планирования'

Сценарий: 001.2.SCP. Загрузка НСИ

	Дано Я загружаю общую НСИ

Сценарий: 001.2 SCP. Дозагрузка общих НСИ

	# Волна 1 придет из джсона
	Дано Я создаю волну "2" длительностью "2" с "09:00:00" по "11:00:00"
	Дано Я создаю волну "3" длительностью "2" с "11:00:00" по "13:00:00"
	Дано Я создаю волну "4" длительностью "2" с "13:00:00" по "15:00:00"
	Дано Я создаю волну "5" длительностью "3" с "15:00:00" по "18:00:00"

